Index: plottools/src/danse/common/plottools/canvas.py
===================================================================
--- plottools/src/danse/common/plottools/canvas.py	(revision 4a4164c633bdb96dccfc304d13589ff77b7174e5)
+++ plottools/src/danse/common/plottools/canvas.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -1,4 +1,4 @@
 """
-This module implements a faster canvas for plotting. 
+This module implements a faster canvas for plotting.
 it ovewrites some matplolib methods to allow printing on sys.platform=='win32'
 """
@@ -27,11 +27,12 @@
     """
     pass
-#print "overriding select"
-def select(self): 
-    """
-    """
-    #print "in new select"
+
+
+def select(self):
+    """
+    """
     pass
 
+
 def unselect(self):
     """
@@ -39,10 +40,11 @@
     pass
 
+
 def OnPrintPage(self, page):
     """
-    override printPage of matplotlib 
+    override printPage of matplotlib
     """
     self.canvas.draw()
-    dc        = self.GetDC()
+    dc = self.GetDC()
     try:
         (ppw, pph) = self.GetPPIPrinter()      # printer's pixels per in
@@ -61,5 +63,5 @@
 
     # draw the bitmap, scaled appropriately
-    vscale    = float(ppw) / fig_dpi 
+    vscale = float(ppw) / fig_dpi
 
     # set figure resolution,bg color for printer
@@ -67,21 +69,22 @@
     self.canvas.figure.set_facecolor('#FFFFFF')
 
-    renderer  = RendererWx(self.canvas.bitmap, self.canvas.figure.dpi)
+    renderer = RendererWx(self.canvas.bitmap, self.canvas.figure.dpi)
     self.canvas.figure.draw(renderer)
-    self.canvas.bitmap.SetWidth(  int(self.canvas.bitmap.GetWidth() * vscale))
-    self.canvas.bitmap.SetHeight( int(self.canvas.bitmap.GetHeight()* vscale))
+    self.canvas.bitmap.SetWidth(int(self.canvas.bitmap.GetWidth() * vscale))
+    self.canvas.bitmap.SetHeight(int(self.canvas.bitmap.GetHeight() * vscale))
     self.canvas.draw()
 
     # page may need additional scaling on preview
     page_scale = 1.0
-    if self.IsPreview():   page_scale = float(dcw)/pgw
+    if self.IsPreview():
+        page_scale = float(dcw)/pgw
 
     # get margin in pixels = (margin in in) * (pixels/in)
-    top_margin  = int(self.margin * pph * page_scale)
+    top_margin = int(self.margin * pph * page_scale)
     left_margin = int(self.margin * ppw * page_scale)
 
     # set scale so that width of output is self.width inches
     # (assuming grw is size of graph in inches....)
-    user_scale = (self.width * fig_dpi * page_scale)/float(grw)
+    user_scale = (self.width * fig_dpi * page_scale) / float(grw)
     dc.SetDeviceOrigin(left_margin, top_margin)
     dc.SetUserScale(user_scale, user_scale)
@@ -108,9 +111,9 @@
 RendererBase.draw_image = draw_image
 
+
 class FigureCanvas(FigureCanvasWxAgg):
     """
     Add features to the wx agg canvas for better support of AUI and
     faster plotting.
-    
     """
 
@@ -136,5 +139,5 @@
     def set_panel(self, panel):
         """
-        Set axes 
+        Set axes
         """
         # set panel
@@ -158,10 +161,10 @@
         if False and wx.GetApp().Pending():
             self.idletimer.Restart(5, *args, **kwargs)
-        else:           
+        else:
             # Draw plot, changes resizing too
             self.draw(*args, **kwargs)
-            self.resizing = False  
+            self.resizing = False
             
-    def _get_axes_switch(self):    
+    def _get_axes_switch(self):
         """
         """
@@ -182,8 +185,8 @@
         self.set_resizing(False)
         
-    def set_resizing(self, resizing=False):  
-        """
-        Setting the resizing 
-        """  
+    def set_resizing(self, resizing=False):
+        """
+        Setting the resizing
+        """
         self.resizing = resizing
         self.panel.set_resizing(False)
@@ -222,5 +225,5 @@
 
         # Convert delta/rotation/rate into a floating point step size
-        delta = evt.GetWheelDelta() 
+        delta = evt.GetWheelDelta()
         rotation = evt.GetWheelRotation()
         rate = evt.GetLinesPerAction()
@@ -237,5 +240,4 @@
         scroll wheel event.  x,y are the canvas coords: 0,0 is lower,
         left.  button and key are as defined in MouseEvent
-        
         """
         button = 'up' if step >= 0 else 'down'
@@ -262,5 +264,5 @@
             # This solves the focusing on rightclick.
             # Todo: better design
-            self.panel.parent.set_plot_unfocus() 
+            self.panel.parent.set_plot_unfocus()
             self.panel.on_set_focus(None)
         
Index: plottools/src/danse/common/plottools/fitDialog.py
===================================================================
--- plottools/src/danse/common/plottools/fitDialog.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/src/danse/common/plottools/fitDialog.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -1,10 +1,7 @@
-#!/usr/bin/python
-
-# fitDialog.py
-
 import wx
-#from PlotPanel import PlotPanel
 from plottables import Theory1D
-import math, numpy, fittings
+import math
+import numpy
+import fittings
 import transform
 import sys
@@ -18,9 +15,10 @@
     PNL_WIDTH = 450
     
+    
 def format_number(value, high=False):
     """
-    Return a float in a standardized, human-readable formatted string 
+    Return a float in a standardized, human-readable formatted string
     """
-    try: 
+    try:
         value = float(value)
     except:
@@ -36,7 +34,6 @@
 
 
-
 class LinearFit(wx.Dialog):
-    def __init__(self, parent, plottable, push_data,transform, title):
+    def __init__(self, parent, plottable, push_data, transform, title):
         """
         Dialog window pops- up when select Linear fit on Context menu
@@ -107,5 +104,5 @@
         
         # Intro
-        explanation  = "Perform fit for y(x) = Ax + B"
+        explanation = "Perform fit for y(x) = Ax + B"
         vbox.Add(sizer)
         ix = 0
@@ -122,5 +119,5 @@
                   (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1
-        sizer.Add(self.tcErrA, (iy, ix), (1, 1), 
+        sizer.Add(self.tcErrA, (iy, ix), (1, 1),
                   wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         iy += 1
@@ -167,5 +164,5 @@
                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        sizer.Add(self.xminFit, (iy, ix),(1,1),
+        sizer.Add(self.xminFit, (iy, ix), (1, 1),
                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 2
@@ -179,5 +176,5 @@
         sizer_button.Add(self.btFit, 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
         sizer_button.Add(self.btClose, 0,
-                          wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)        
+                          wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
         vbox.Add(sizer_button, 0, wx.EXPAND|wx.BOTTOM|wx.TOP, 10)
         
@@ -190,6 +187,6 @@
         self.model = LineModel()
         #Display the fittings values
-        self.default_A = self.model.getParam('A') 
-        self.default_B = self.model.getParam('B') 
+        self.default_A = self.model.getParam('A')
+        self.default_B = self.model.getParam('B')
         self.cstA = fittings.Parameter(self.model, 'A', self.default_A)
         self.cstB = fittings.Parameter(self.model, 'B', self.default_B)
@@ -198,5 +195,5 @@
         if self.Avalue == None:
             self.tcA.SetValue(format_number(self.default_A))
-        else :
+        else:
             self.tcA.SetLabel(format_number(self.Avalue))
         if self.Bvalue == None:
@@ -231,6 +228,4 @@
             self.initXmin.SetValue(format_number(min(self.plottable.x)))
             self.initXmax.SetValue(format_number(max(self.plottable.x)))
-            #self.xminFit.SetLabel(format_number(self.mini))
-            #self.xmaxFit.SetLabel(format_number(self.maxi))
             self.mini = min(self.x)
             self.maxi = max(self.x)
@@ -251,5 +246,5 @@
     def _on_close(self, event):
         """
-        Close event. 
+        Close event.
         Notify registered owner if available.
         """
@@ -263,5 +258,5 @@
         the button Fit.Computes chisqr ,
         A and B parameters of the best linear fit y=Ax +B
-        Push a plottable to 
+        Push a plottable to
         """
         tempx = []
@@ -271,5 +266,5 @@
         # Check if View contains a x array .we online fit when x exits
         # makes transformation for y as a line to fit
-        if self.x != []: 
+        if self.x != []:
             if(self.checkFitValues(self.xminFit) == True):
                 #Check if the field of Fit Dialog contain values
@@ -278,5 +273,5 @@
                 #self.xmaxFit.GetValue())
                 if not self._checkVal(self.xminFit, self.xmaxFit):
-                    return 
+                    return
                 xminView = float(self.xminFit.GetValue())
                 xmaxView = float(self.xmaxFit.GetValue())
@@ -291,10 +286,10 @@
                         for i in range(len(self.x)):
                             if self.x[i] >= math.log10(xmin):
-                                tempy.append(math.log10(self.y[i])) 
+                                tempy.append(math.log10(self.y[i]))
                                 tempdy.append(transform.errToLogX(self.y[i],
                                                         0, self.dy[i], 0))
                     else:
                         for i in range(len(self.y)):
-                            tempy.append(math.log10(self.y[i])) 
+                            tempy.append(math.log10(self.y[i]))
                             tempdy.append(transform.errToLogX(self.y[i],
                                                             0, self.dy[i], 0))
@@ -306,11 +301,11 @@
                     for x_i in self.x:
                         if x_i >= math.log10(xmin):
-                            tempx.append(math.log10(x_i)) 
+                            tempx.append(math.log10(x_i))
                 else:
                     tempx = self.x
               
                 #Find the fitting parameters
-                # Always use the same defaults, so that fit history 
-                #doesn't play a role! 
+                # Always use the same defaults, so that fit history
+                #doesn't play a role!
                 self.cstA = fittings.Parameter(self.model, 'A', self.default_A)
                 self.cstB = fittings.Parameter(self.model, 'B', self.default_B)
@@ -328,5 +323,5 @@
                     tempdy = numpy.asarray(tempdy)
                     tempdy[tempdy == 0] = 1
-                    chisqr, out, cov = fittings.sansfit(self.model, 
+                    chisqr, out, cov = fittings.sansfit(self.model,
                                                         [self.cstA, self.cstB],
                                                         tempx, tempy, tempdy,
@@ -349,5 +344,5 @@
                     cstA = out[0]
                     cstB = out[1]
-                # Reset model with the right values of A and B 
+                # Reset model with the right values of A and B
                 self.model.setParam('A', float(cstA))
                 self.model.setParam('B', float(cstB))
@@ -380,5 +375,5 @@
                 if self.yLabel == "log10(y)":
                     tempy.append(math.pow(10, y_model))
-                else: 
+                else:
                     tempy.append(y_model)
                 #Set the fit parameter display when  FitDialog is opened again
@@ -396,6 +391,5 @@
     def _onsetValues(self, cstA, cstB, errA, errB, Chi):
         """
-        Display  the value on fit Dialog 
-        
+        Display  the value on fit Dialog
         """
         self.tcA.SetValue(format_number(cstA))
@@ -407,5 +401,5 @@
     def _ongetValues(self):
         """
-        Display  the value on fit Dialog 
+        Display  the value on fit Dialog
         """
         return self.Avalue, self.Bvalue, self.ErrAvalue, \
@@ -414,5 +408,5 @@
     def _checkVal(self, usermin, usermax):
         """
-        Ensure that fields parameter contains a min and a max value 
+        Ensure that fields parameter contains a min and a max value
         within x min and x max range
         """
@@ -420,5 +414,5 @@
         self.maxi = float(self.xmaxFit.GetValue())
         flag = True
-        try: 
+        try:
             mini = float(usermin.GetValue())
             maxi = float(usermax.GetValue())
@@ -446,5 +440,5 @@
         if(self.xLabel == "x"):
             return transform.toX(x)
-        if(self.xLabel == "x^(2)"): 
+        if(self.xLabel == "x^(2)"):
             return transform.toX2(x)
         if(self.xLabel == "ln(x)"):
@@ -463,5 +457,5 @@
         if(self.xLabel == "x"):
             return transform.toX(x)
-        if(self.xLabel == "x^(2)"): 
+        if(self.xLabel == "x^(2)"):
             return transform.toX2(x)
         if(self.xLabel == "ln(x)"):
@@ -471,9 +465,9 @@
                 return x
             else:
-                raise ValueError,"cannot compute log of a negative number"
+                raise ValueError, "cannot compute log of a negative number"
             
     def floatInvTransform(self, x):
         """
-        transform a float.It is use to determine the x.View min and x.View 
+        transform a float.It is use to determine the x.View min and x.View
         max for values not in x
         
@@ -482,5 +476,5 @@
         # functionality work without rewritting the whole code
         # with good design (which really should be done...).
-        if(self.xLabel == "x^(2)"): 
+        if(self.xLabel == "x^(2)"):
             return math.sqrt(x)
         
@@ -488,5 +482,5 @@
             return math.pow(10, x)
         
-        elif(self.xLabel == "ln(x)"): 
+        elif(self.xLabel == "ln(x)"):
             return math.exp(x)
         return x
@@ -499,5 +493,5 @@
         value = item.GetValue()
         # Check for possible values entered
-        if (self.xLabel == "log10(x)") :#or self.xLabel=="ln(x)"):
+        if (self.xLabel == "log10(x)"):  #or self.xLabel=="ln(x)"):
             if(float(value) > 0):
                 item.SetBackgroundColour(wx.WHITE)
@@ -520,5 +514,5 @@
         Set the fit region
         :param xmin: minimum x-value to be included in fit
-        :param xmax: maximum x-value to be included in fit 
+        :param xmax: maximum x-value to be included in fit
         """
         # Check values
@@ -532,4 +526,5 @@
         self.xmaxFit.SetValue(format_number(xmax))
   
+  
 class MyApp(wx.App):
     """
@@ -540,7 +535,7 @@
         wx.InitAllImageHandlers()
         plot = Theory1D([], [])
-        dialog = LinearFit(parent=None, plottable=plot, 
+        dialog = LinearFit(parent=None, plottable=plot,
                            push_data=self.onFitDisplay,
-                           transform=self.returnTrans, 
+                           transform=self.returnTrans,
                             title='Linear Fit')
         if dialog.ShowModal() == wx.ID_OK:
@@ -558,8 +553,2 @@
         """
         return '', '', 0, 0, 0, 0, 0
-
-# end of class MyApp
-
-if __name__ == "__main__":
-    app = MyApp(0)
-    app.MainLoop()
Index: plottools/src/danse/common/plottools/fittings.py
===================================================================
--- plottools/src/danse/common/plottools/fittings.py	(revision cfe1febdfc9b97a963c7bfad0b460893be14e1ba)
+++ plottools/src/danse/common/plottools/fittings.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -2,5 +2,5 @@
 """
 from scipy import optimize
-#from numpy import *
+
 
 class Parameter:
@@ -21,8 +21,9 @@
 
     def __call__(self):
-        """ 
+        """
             Return the current value of the parameter
         """
         return self.model.getParam(self.name)
+    
     
 def sansfit(model, pars, x, y, err_y , qmin=None, qmax=None):
@@ -34,10 +35,9 @@
     :param x: vector of x data
     :param y: vector of y data
-    :param err_y: vector of y errors 
-    
+    :param err_y: vector of y errors
     """
     def f(params):
         """
-        Calculates the vector of residuals for each point 
+        Calculates the vector of residuals for each point
         in y for a given set of input parameters.
         
@@ -79,5 +79,6 @@
         chisqr = chi2([out])
         
-    return chisqr, out, cov_x    
+    return chisqr, out, cov_x
+
 
 def calcCommandline(event):
@@ -85,14 +86,10 @@
     # Fit a Line model
     from LineModel import LineModel
-    line    = LineModel()
+    line = LineModel()
     cstA = Parameter(line, 'A', event.cstA)
-    cstB  = Parameter(line, 'B', event.cstB)        
+    cstB = Parameter(line, 'B', event.cstB)
     y = line.run()
-    chisqr, out, cov = sansfit(line, [cstA, cstB],  event.x, y, 0) 
+    chisqr, out, cov = sansfit(line, [cstA, cstB], event.x, y, 0)
     # print "Output parameters:", out
     print "The right answer is [70.0, 1.0]"
     print chisqr, out, cov
-
-if __name__ == "__main__": 
-    calcCommandline()
-
Index: plottools/src/danse/common/plottools/plottable_interactor.py
===================================================================
--- plottools/src/danse/common/plottools/plottable_interactor.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/src/danse/common/plottools/plottable_interactor.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -17,6 +17,6 @@
         self.color = color
         self.colorlist = ['b', 'g', 'r', 'c', 'm', 'y', 'k']
-        self.symbollist = ['o', 'x', '^', 'v', '<', '>', 
-                           '+', 's', 'd', 'D', 'h', 'H', 'p','-']
+        self.symbollist = ['o', 'x', '^', 'v', '<', '>',
+                           '+', 's', 'd', 'D', 'h', 'H', 'p', '-']
         self.markersize = None
         self.marker = None
@@ -35,6 +35,6 @@
         return self.symbollist[s % len(self.symbollist)]
 
-    def points(self, x, y, dx=None, dy=None, color=0, symbol=0, markersize=5, label=None, 
-               hide_error=False):
+    def points(self, x, y, dx=None, dy=None, color=0, symbol=0, markersize=5,
+               label=None, hide_error=False):
         """
         """
@@ -66,24 +66,23 @@
                 zorder = 1
                 self.marker = self.axes.plot(x, y, color=self.color,
-                                         marker=self._symbol(symbol),
-                                         markersize=markersize,
-                                         linestyle='', label=label,
-                                         zorder=zorder)[0]
+                                             marker=self._symbol(symbol),
+                                             markersize=markersize,
+                                             linestyle='', label=label,
+                                             zorder=zorder)[0]
             else:
                 zorder = 2
                 self.marker = self.axes.errorbar(x, y, yerr=dy,
-                                                  xerr=None,
-                                             ecolor=self.color, 
-                                             color=self.color,
-                                             capsize=2, 
-                                             linestyle='',
-                                            barsabove=False,
-                                            #mec=self.color, mfc=self.color,
-                                            marker=self._symbol(symbol),
-                                            markersize=markersize,
-                                            lolims=False, uplims=False,
-                                            xlolims=False, xuplims=False,
-                                            label=label,
-                                            zorder=zorder)[0]
+                                                 xerr=None,
+                                                 ecolor=self.color,
+                                                 color=self.color,
+                                                 capsize=2,
+                                                 linestyle='',
+                                                 barsabove=False,
+                                                 marker=self._symbol(symbol),
+                                                 markersize=markersize,
+                                                 lolims=False, uplims=False,
+                                                 xlolims=False, xuplims=False,
+                                                 label=label,
+                                                 zorder=zorder)[0]
             
         self.connect_markers([self.marker])
@@ -96,5 +95,5 @@
             self.base.connect.clear([self.marker])
         self.color = self._color(color)
-        self.marker = self.axes.plot(x, y, color=self.color, lw = 1.5,
+        self.marker = self.axes.plot(x, y, color=self.color, lw=1.5,
                                      marker='', linestyle='-', label=label)[0]
             
@@ -112,5 +111,4 @@
             connect('click', h, self._on_click)
             connect('release', h, self._on_release)
-            #connect('drag', h, self._on_drag)
             connect('key', h, self.onKey)
 
@@ -128,10 +126,10 @@
             self._on_leave(evt)
 
-    def _on_release(self, evt): 
+    def _on_release(self, evt):
         """
         Called when a mouse button is released
         within the boundaries of an artist
         """
-        # Check to see whether we are about to pop 
+        # Check to see whether we are about to pop
         # the context menu up
         if evt.button == 3:
@@ -148,5 +146,5 @@
             if evt.artist.get_color() == 'y':
                 try:
-                     evt.artist.set_color('b')
+                    evt.artist.set_color('b')
                 except:
                     evt.artist.set_color_cycle('b')
@@ -157,5 +155,5 @@
             else:
                 try:
-                     evt.artist.set_color('y')
+                    evt.artist.set_color('y')
                 except:
                     evt.artist.set_color_cycle('y')
@@ -181,5 +179,5 @@
                 if hasattr(evt.artist, "set_facecolor"):
                     evt.artist.set_facecolor(self.color)
-                if hasattr(evt.artist, "set_edgecolor"):            
+                if hasattr(evt.artist, "set_edgecolor"):
                     evt.artist.set_edgecolor(self.color)
                 self.axes.figure.canvas.draw_idle()
@@ -190,3 +188,2 @@
         """
         pass
-
